org.apache.maven.scm.provider.svn.svnexe.command.info

## Class SvnInfoConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.info.SvnInfoConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SvnInfoConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Kenney Westerhof

### Constructor Summary

Constructors
Constructor and Description
`SvnInfoConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String s)`
`List<InfoItem>` `getInfoItems()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnInfoConsumer

    public SvnInfoConsumer()

### Method Detail

#### consumeLine

    public void consumeLine(String s)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getInfoItems

    public List<InfoItem> getInfoItems()